package com.winhc.returnmoney.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description AccountBill实体对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ACCOUNT_BILL")
@ApiModel(value="AccountBill实体对象", description="账款表")
@Accessors(chain = true)
public class AccountBill implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账本id")
    @TableField("ACCOUNT_BOOK_ID")
    private Long accountBookId;

    @ApiModelProperty(value = "当前应收金额/新版本为账款总金额")
    @TableField("RECEIVABLE")
    private BigDecimal receivable;

    @ApiModelProperty(value = "已收回金额")
    @TableField("RECEIPT")
    private BigDecimal receipt;

    @ApiModelProperty(value = "账款状态，1进行中，2已逾期，3已收回")
    @TableField("ACCOUNT_BILL_STATUS")
    private Integer accountBillStatus;

    @ApiModelProperty(value = "账款阶段，1未起诉，2已起诉，3已申请执行，4终结本次执行")
    @TableField("ACCOUNT_BILL_STAGE")
    private Integer accountBillStage;

    @ApiModelProperty(value = "应收账款日期")
    @TableField("END_DATE")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款备注")
    @TableField("ACCOUNT_BILL_REMARK")
    private String accountBillRemark;

    @ApiModelProperty(value = "账款标题")
    @TableField("ACCOUNT_BILL_TITLE")
    private String accountBillTitle;

    @ApiModelProperty(value = "账款logo")
    @TableField("ACCOUNT_BILL_LOGO")
    private String accountBillLogo;

    @ApiModelProperty(value = "账款刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    @TableField("REFRESH_STATUS")
    private Integer refreshStatus;

    @ApiModelProperty(value = "上次评估ID")
    @TableField("PRE_DIAGNOSIS_ID")
    private Long preDiagnosisId;

    @ApiModelProperty(value = "评估id")
    @TableField("DIAGNOSIS_ID")
    private Long diagnosisId;

    @ApiModelProperty(value = "上次评估等级")
    @TableField("PRE_DIAGNOSIS_GRADE")
    private String preDiagnosisGrade;

    @ApiModelProperty(value = "评估等级")
    @TableField("DIAGNOSIS_GRADE")
    private String diagnosisGrade;

    @ApiModelProperty(value = "上次评估分数")
    @TableField("PRE_DIAGNOSIS_SCORE")
    private BigDecimal preDiagnosisScore;

    @ApiModelProperty(value = "本次评估分数")
    @TableField("DIAGNOSIS_SCORE")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "上次评估时间")
    @TableField("PRE_DIAGNOSIS_DATETIME")
    private LocalDateTime preDiagnosisDatetime;

    @ApiModelProperty(value = "评估时间")
    @TableField("DIAGNOSIS_DATETIME")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "趋势，1上升，2下降。0持平")
    @TableField("DIAGNOSIS_TREND")
    private Integer diagnosisTrend;

    @TableField("REMIND_INFO")
    @ApiModelProperty("提醒消息")
    private String remindInfo;

    @ApiModelProperty(value = "账款收回时间")
    @TableField("SETTLE_TIME")
    private LocalDateTime settleTime;

    @ApiModelProperty("userId")
    private Long userId;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    private LocalDateTime timeModified;


}
