package com.winhc.returnmoney.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.winhc.returnmoney.enums.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @description AccountBillMoneyRecord实体对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ACCOUNT_BILL_MONEY_RECORD")
@ApiModel(value="AccountBillMoneyRecord实体对象", description="账款金额变动记录")
public class AccountBillMoneyRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账本id")
    @TableField("ACCOUNT_BOOK_ID")
    private Long accountBookId;

    @ApiModelProperty(value = "账款id")
    @TableField("ACCOUNT_BILL_ID")
    private Long accountBillId;

    @ApiModelProperty(value = "变更类型，1增加，2减少")
    @TableField("CHANGE_TYPE")
    private Integer changeType;

    @ApiModelProperty(value = "变更金额")
    @TableField("CHANGE_MONEY")
    private BigDecimal changeMoney;

    @ApiModelProperty(value = "改变前金额")
    @TableField("PRE_MONEY")
    private BigDecimal preMoney;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;

    public static AccountBillMoneyRecord convert2Record(AccountBill accountBill, BigDecimal preMoney, BigDecimal changeMoney) {
        AccountBillMoneyRecord record = new AccountBillMoneyRecord();
        record.setAccountBookId(accountBill.getAccountBookId());
        record.setAccountBillId(accountBill.getId());
        record.setChangeType(Dict.ChangeTypeEnum.getMoneyCrease(preMoney, changeMoney));
        record.setChangeMoney(changeMoney);
        record.setPreMoney(preMoney);
        return record;
    }

    public static AccountBillMoneyRecord convert2NewRecord(AccountBill accountBill, BigDecimal changeMoney) {
        AccountBillMoneyRecord record = new AccountBillMoneyRecord();
        record.setAccountBookId(accountBill.getAccountBookId());
        record.setAccountBillId(accountBill.getId());
        record.setChangeType(Dict.ChangeTypeEnum.getMoneyCrease(accountBill.getReceivable().subtract(accountBill.getReceipt()), changeMoney));
        record.setChangeMoney(changeMoney);
        record.setPreMoney(accountBill.getReceivable().subtract(accountBill.getReceipt()));
        return record;
    }


}
