package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description AccountRemindDefinition实体对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ACCOUNT_REMIND_DEFINITION")
@ApiModel(value="AccountRemindDefinition实体对象", description="")
public class AccountRemindDefinition implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "提醒类型,枚举(中文)：逾期提醒、评级提醒、财产线索、风险提醒")
    @TableField("REMIND_TYPE")
    private String remindType;

    @ApiModelProperty(value = "触发时机。"+
            "1、逾期提醒：OVERDUE_WEEK(逾期前一周)、OVERDUED(已逾期)、OVERDUE_THREEMONTH(逾期三个月)、OVERDUE_HALFYEAR(逾期半年)、OVERDUE_YEAR(逾期1年)、OVERDUE_THREEYEAR(逾期3年)"+
            "2、评级提醒：A、B、C、D"+
            "3 4根据动态的数据来")
    @TableField("OPPORTUNITY")
    private String opportunity;

    @ApiModelProperty(value = "账单状态，1进行中，2已逾期，3已收回")
    @TableField("ACCOUNT_BILL_STATUS")
    private Integer accountBillStatus;

    @ApiModelProperty(value = "账款阶段，1未起诉 2已起诉  3已申请执行 4终结本次执行")
    @TableField("ACCOUNT_BILL_STAGE")
    private Integer accountBillStage;

    @ApiModelProperty(value = "提醒文案")
    @TableField("REMIND_CONTENT")
    private String remindContent;

    @ApiModelProperty(value = "功能列表")
    @TableField("FUNCTION_LIST")
    private String functionList;


}
