package com.winhc.returnmoney.enums;

/**
 * @description: 雷达监控信息类型
 * @author: yujie
 * @date 2020.8.24 19:12
 */
public enum RadarInfoTypeEnum {
    破产公告("bankruptcy_open_case","破产公告", "PoChanGongGao"),
    工商信息("company","工商信息", "GongShangXinXi"),
    经营异常("company_abnormal_info","经营异常", "JingYingYiChang"),
    年报_对外担保("company_annual_report_out_guarantee","对外担保", "DuiWaiDanBao"),
    年报_对外投资("company_annual_report_out_investment","对外投资", "DuiWaiTouZi"),
    招投标("company_bid","招投标", "ZhaoTouBiao"),
    简易注销_结果("company_brief_cancel_announcement","简易注销", "JianYiZhuXiao"),
    抽查检查("company_check_info","抽查检查", "ChouChaJianCha"),
    法院公告("company_court_announcement_list","法院公告", "FaYuanGongGao"),
    开庭公告("company_court_open_announcement_list","开庭公告", "KaiTingGongGao"),
    立案信息("company_court_register_list","立案信息", "LiAnXinXi"),
    企业失信被执("company_dishonest_info","企业失信被执", "QiYeShiXinBeiZhi"),
    双随机抽查("company_double_random_check_info","双随机抽查", "ShuangSuiJiChouCha"),
    招聘信息("company_employment","招聘信息", "ZhaoPinXinXi"),
    环保处罚("company_env_punishment","环保处罚", "HuanBaoChuFa"),
    股权出质("company_equity_info","股权出质", "GuQuanChuZhi"),
    融资历史("company_finance","融资历史", "RongZiLiShi"),
    股东("company_holder","股东", "GuDong"),
    严重违法("company_illegal_info","严重违法", "YanZhongWeiFa"),
    司法拍卖("company_judicial_sale_combine_list","司法拍卖", "SiFaPaiMai"),
    购地信息("company_land_announcement","购地信息", "GouDiXinXi"),
    土地抵押("company_land_mortgage","土地抵押", "TuDiDiYa"),
    地块公示("company_land_publicity","地块公示", "DiKuaiGongShi"),
    土地转让("company_land_transfer","土地转让", "TuDiZhuanRang"),
    行政许可("company_license","行政许可", "XingZhengXuKe"),
    行政许可_信用中国("company_license_creditchina","行政许可（信用中国）", "XingZhengXuKeXinYongZhongGuo"),
    行政许可_企业公示("company_license_entpub","行政许可（企业公示）", "XingZhengXuKeQiYeGongShi"),
    清算信息("company_liquidating_info","清算信息", "QingSuanXinXi"),
    动产抵押("company_mortgage_info","动产抵押", "DongChanDiYa"),
    欠税公告("company_own_tax","欠税公告", "QianShuiGongGao"),
    公示催告("company_public_announcement2_list","公示催告", "GongShiCuiGao"),
    行政处罚("company_punishment_info","行政处罚", "XingZhengChuFa"),
    行政处罚_信用中国("company_punishment_info_creditchina","行政处罚（信用中国）", "XingZhengChuFaXinYongZhongGuo"),
    送达公告("company_send_announcement_list","送达公告", "SongDaGongGao"),
    主要成员("company_staff","主要成员", "ZhuYaoRenYuan"),
    企业公告("company_stock_announcement","企业公告", "QiYeGongGao"),
    税收违法("company_tax_contravention","税收违法", "ShuiShouWeiFa"),
    终本案件("company_zxr_final_case","终本案件", "ZhongBenAnJian"),
    限制消费令("company_zxr_restrict","限制消费令", "XianZhiXiaoFeiLing"),
    裁判文书("wenshu_detail_combine","裁判文书", "CaiPanWenShu"),
    知识产权("intellectual","知识产权", "ZhiShiChanQuan"),
    企业被执("company_zxr_list","企业被执","BeiZhiXingRen");
    private String code;
    private String desc;
    private String url;

    RadarInfoTypeEnum(String code, String desc, String url) {
        this.code = code;
        this.desc = desc;
        this.url = url;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getUrl() {
        return url;
    }

    public static String getDescByCode(String code) {
        for (RadarInfoTypeEnum e : RadarInfoTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.name();
            }
        }
        return null;
    }
    public static RadarInfoTypeEnum getByCode(String code) {
        for (RadarInfoTypeEnum e : RadarInfoTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public static String getUrlByCode(String code) {
        for (RadarInfoTypeEnum e : RadarInfoTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getUrl();
            }
        }
        return null;
    }
}
/**
 * bankruptcy_open_case破产公告
 * company工商信息
 * company_abnormal_info经营异常
 * company_annual_report_out_guarantee年报_对外担保
 * company_annual_report_out_investment年报_对外投资
 * company_bid招投标
 * company_brief_cancel_announcement_result简易注销_结果
 * company_check_info抽查检查
 * company_court_announcement_list法院公告
 * company_court_open_announcement_list开庭公告
 * company_court_register_list立案信息
 * company_dishonest_info企业失信被执
 * company_double_random_check_info双随机抽查
 * company_employment招聘信息
 * company_env_punishment环保处罚
 * company_equity_info股权出质
 * company_finance融资历史
 * company_holder股东
 * company_illegal_info严重违法
 * company_judicial_sale_combine_list司法拍卖
 * company_land_announcement购地信息
 * company_land_mortgage土地抵押
 * company_land_publicity地块公示
 * company_land_transfer土地转让
 * company_license行政许可
 * company_license_creditchina行政许可_信用中国
 * company_license_entpub行政许可_企业公示
 * company_liquidating_info清算信息
 * company_mortgage_info动产抵押
 * company_own_tax欠税公告
 * company_public_announcement2_list公示催告
 * company_punishment_info行政处罚
 * company_punishment_info_creditchina行政处罚_信用中国
 * company_send_announcement_list送达公告
 * company_staff主要成员
 * company_stock_announcement企业公告
 * company_tax_contravention税收违法
 * company_zxr_final_case终本案件
 * company_zxr_restrict限制消费令
 * wenshu_detail_combine裁判文书
 */
